> ## Documentation Index
> Fetch the complete documentation index at: https://docs.duohub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File from Memory

> Delete a file from a memory

<Warning>
  Please note this endpoint can only be used with memories created on or after
  17-Dec-2024.
</Warning>


## OpenAPI

````yaml DELETE /memories/delete-file
openapi: 3.1.0
info:
  title: duohub Retriever API
  description: >-
    Retrieve assisted or non-assisted memory from a duohub knowledge graph. For
    best performance, use the official `duohub` Python package.
  version: 1.0.0
servers:
  - url: https://api.duohub.ai
security:
  - APIKeyHeader: []
paths:
  /memories/delete-file:
    delete:
      tags:
        - Memories
      summary: Delete File from Memory
      description: Delete a file from a memory
      operationId: deleteFileFromMemory
      parameters:
        - name: fileID
          in: query
          required: true
          description: ID of the file to remove from the memory
          schema:
            type: string
        - name: memoryID
          in: query
          required: true
          description: ID of the memory to remove the file from
          schema:
            type: string
      responses:
        '200':
          description: File deleted from memory successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                required:
                  - status
                example:
                  status: success
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                  status:
                    type: string
                    enum:
                      - bad_request
                required:
                  - error
                  - status
                examples:
                  no_headers:
                    value:
                      error: No headers provided
                      status: bad_request
                  invalid_json:
                    value:
                      error: Invalid JSON in request body
                      status: bad_request
                  missing_file_id:
                    value:
                      error: fileID is required
                      status: bad_request
                  missing_memory_id:
                    value:
                      error: memoryID is required
                      status: bad_request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                  status:
                    type: string
                    enum:
                      - unauthorized
                required:
                  - error
                  - status
                example:
                  error: API key is required
                  status: unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                  status:
                    type: string
                    enum:
                      - forbidden
                required:
                  - error
                  - status
                examples:
                  invalid_api_key:
                    value:
                      error: Invalid API key
                      status: forbidden
                  unauthorized_sample:
                    value:
                      error: You don't have permission to delete this sample
                      status: forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                  status:
                    type: string
                    enum:
                      - not_found
                required:
                  - error
                  - status
                example:
                  error: Sample not found
                  status: not_found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                  status:
                    type: string
                    enum:
                      - error
                required:
                  - error
                  - status
                example:
                  error: Internal server error
                  status: error
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'Your duohub API key. Type: str'

````